edu.sc.seis.sod.process.waveform.vector

## Class WaveformVectorFork

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.vector.WaveformVectorFork

- All Implemented Interfaces:
    WaveformVectorProcess, SodElement, Subsetter, Threadable
  Direct Known Subclasses:
    WaveformVectorAND, WaveformVectorNOT, WaveformVectorOR

      public class WaveformVectorFork
      extends java.lang.Object
      implements WaveformVectorProcess, Threadable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `packages`
    `protected java.util.List<WaveformVectorProcess>` | `processes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformVectorFork(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformVectorResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] request, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][]` | `copySeismograms(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms)`
    `static WaveformVectorProcess` | `createSubsetter(Subsetter s)`
    `WaveformVectorResult` | `doAND(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] request, edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms, CookieJar cookieJar)`
    `java.util.List<java.lang.String>` | `getPackages()`
    `protected Subsetter` | `getSubsetter(Subsetter s)`
    `WaveformVectorProcess[]` | `getWrappedProcessors()`
    `boolean` | `isThreadSafe()`
    `static WaveformVectorProcess` | `load(org.w3c.dom.Element el)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packages

          public static final java.util.List<java.lang.String> packages

    - #### processes

          protected java.util.List<WaveformVectorProcess> processes

  - ### Constructor Detail

    - #### WaveformVectorFork

          public WaveformVectorFork(org.w3c.dom.Element config)
                             throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getPackages

          public java.util.List<java.lang.String> getPackages()

    - #### getSubsetter

          protected Subsetter getSubsetter(Subsetter s)
                                    throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### load

          public static WaveformVectorProcess load(org.w3c.dom.Element el)
                                            throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### createSubsetter

          public static WaveformVectorProcess createSubsetter(Subsetter s)
                                                       throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### accept

          public WaveformVectorResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                             edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] request,
                                             edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                             edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                             CookieJar cookieJar)
                                      throws java.lang.Exception

      Specified by:
        `accept` in interface `WaveformVectorProcess`
      Throws:
        `java.lang.Exception`

    - #### doAND

          public WaveformVectorResult doAND(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                            edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                            edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] request,
                                            edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] available,
                                            edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms,
                                            CookieJar cookieJar)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copySeismograms

          public static edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] copySeismograms(edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[][] seismograms)

    - #### getWrappedProcessors

          public WaveformVectorProcess[] getWrappedProcessors()

    - #### isThreadSafe

          public boolean isThreadSafe()

      Specified by:
        `isThreadSafe` in interface `Threadable`